default

# Procedural File: emuhash_functions.php

Source Location: /templates/3rdParty/pla/lib/emuhash_functions.php

## Page Details:

*****************************************************************************

### MHASH_MD5 [line 50]

`MHASH_MD5 = 'md5'`

***************************************************************************
[ Top ]

### MHASH_RIPEMD160 [line 52]

`MHASH_RIPEMD160 = 'rmd160'`

[ Top ]

### MHASH_SHA1 [line 51]

`MHASH_SHA1 = 'sha1'`

[ Top ]

### mhash [line 86]

`void mhash( $hash_id, $password_clear)`

#### Parameters

| $hash_id |
| $password_clear |

[ Top ]

### mhash_keygen_s2k [line 107]

`void mhash_keygen_s2k( $hash_id, $password_clear, $salt, $bytes)`

#### Parameters

| $hash_id |
| $password_clear |
| $salt |
| $bytes |

[ Top ]

### openssl_hash [line 58]

`void openssl_hash( $openssl_hash_id, $password_clear)`

***************************************************************************

#### Parameters

| $openssl_hash_id |
| $password_clear |

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:29:40 +0100 by phpDocumentor 1.4.1